## Index

### Classes

- DrawerTab1Screen
- DrawerTab2Screen
- Header
- HeaderBackButton
- NotFoundScreen
- SettingsDetailScreen
- SettingsScreen
- Tab1Screen
- Tab2Screen

### Interfaces

- DrawerItem
- DrawerItemsProps
- DrawerScene
- HeaderBackButtonState
- HeaderProps
- HeaderState
- HeaderStyles
- ModalNavigatorProps
- NavigatorPropsWithResolvedRoutes
- RRNavigationProps
- RouteConfigWithResolveSubRoutes
- ScreenProps
- ScreenViewProps
- StackNavigatorProps
- StackScreenProps
- SwitchScreenProps

### Type aliases

- NavigationActionsWithRouter

### Variables

- MainNavigatorContext
- NavigationActions
- createRouterContext
- deepmerge
- defaultBackImage

### Functions

- BottomNavigationNavigator
- DrawerNavigator
- HeaderTitle
- HomeScreen
- Left
- ModalNavigator
- Navigation
- Navigator
- Right
- ScreenView
- StackNavigator
- StackScreen
- SwitchScreen
- TabNavigator
- createNavigation
- executeAction
- findRouteByKey
- getAppBarHeight
- getIcon
- getNavigator
- getTitle
- historyToActionObject
- preparePaths
- resolveRouteOptions
- resolveScreenComponent
- useScreenProps

### Object literals

- BasePlugin
- BottomNavigation
- Drawer
- NavigatorMap
- Stack
- Switch
- Tab
- baseOptions
- input
- inputRoutes
- location
- mainNavigator

## Type aliases

### NavigationActionsWithRouter

NavigationActionsWithRouter: NavigationActionsProps & RouteComponentProps

- Defined in src/components/NavigationActions/NavigationActions.tsx:8

## Variables

### Const MainNavigatorContext

MainNavigatorContext: Context<NavigatorProps> = createContext<NavigatorProps>({ routes: [] })

- Defined in src/components/Navigation/Navigation.tsx:7

### Const NavigationActions

NavigationActions: React.ComponentType<NavigationActionsProps> = withRouter(({ children, ...rest }: NavigationActionsWithRouter) => {const mainNavigatorConfigs = useContext(MainNavigatorContext);const actions = historyToActionObject(rest, mainNavigatorConfigs);return children(actions) as React.ReactElement;})

- Defined in src/components/NavigationActions/NavigationActions.tsx:17

NavigationActions This is a render prop component which passes the navigation actions to the child component. It's useful when you cannot pass the navigation actions into the component directly, or don't want to pass it in case of a deeply nested child.

### Const createRouterContext

createRouterContext: any = require('react-router-test-context').default

- Defined in src/components/NavigationActions/__tests__/NavigationActions.test.tsx:7

### deepmerge

deepmerge: deepmerge

- Defined in src/components/Header/__tests__/Header.test.tsx:9

### Const defaultBackImage

defaultBackImage: any = require('../../../assets/common/back-icon.png')

- Defined in src/components/HeaderBackButton/HeaderBackButton.tsx:17

## Functions

### Const BottomNavigationNavigator

- BottomNavigationNavigator(props: NavigatorPropsWithResolvedRoutes & { children: React.ReactNode }): Element

- - Defined in src/navigators/BottomNavigationNavigator/BottomNavigationNavigator.tsx:10

  #### Parameters

  - ##### props: NavigatorPropsWithResolvedRoutes & { children: React.ReactNode }

  #### Returns Element

### Const DrawerNavigator

- DrawerNavigator(props: NavigatorPropsWithResolvedRoutes & { children: React.ReactNode }): Element

- - Defined in src/navigators/DrawerNavigator/DrawerNavigator.tsx:18

  #### Parameters

  - ##### props: NavigatorPropsWithResolvedRoutes & { children: React.ReactNode }

  #### Returns Element

### Const HeaderTitle

- HeaderTitle(__namedParameters: { rest: rest; style: undefined | null | false | TextStyle | (number & { __registeredStyleBrand: T }) | RecursiveArray<undefined | null | false | TextStyle | (number & { __registeredStyleBrand: T })>; styles: undefined | {} }): Element

- - Defined in src/components/HeaderTitle/HeaderTitle.tsx:6

  #### Parameters

  - ##### __namedParameters: { rest: rest; style: undefined | null | false | TextStyle | (number & { __registeredStyleBrand: T }) | RecursiveArray<undefined | null | false | TextStyle | (number & { __registeredStyleBrand: T })>; styles: undefined | {} }

    - ##### rest: rest

    - ##### style: undefined | null | false | TextStyle | (number & { __registeredStyleBrand: T }) | RecursiveArray<undefined | null | false | TextStyle | (number & { __registeredStyleBrand: T })>

    - ##### styles: undefined | {}

  #### Returns Element

### Const HomeScreen

- HomeScreen(props: any): Element

- - Defined in bluebase/expo/apps/plugin-settings-app/Screens/Home.tsx:10

  #### Parameters

  - ##### props: any

  #### Returns Element

### Const Left

- Left(): Element

- - Defined in src/components/Header/__tests__/Header.test.tsx:16

  #### Returns Element

### Const ModalNavigator

- ModalNavigator(props: ModalNavigatorProps): any

- - Defined in src/navigators/StackNavigator/ModalNavigator.tsx:12

  #### Parameters

  - ##### props: ModalNavigatorProps

  #### Returns any

### Const Navigation

- Navigation(props: RRNavigationProps): Element

- - Defined in src/components/Navigation/Navigation.tsx:16

  Navigation This serves as an entry point where BlueBase passes routes and navigation configs to this component.

  #### Parameters

  - ##### props: RRNavigationProps

  #### Returns Element

### Const Navigator

- Navigator(props: NavigatorProps): null | Element

- - Defined in src/components/Navigator/Navigator.tsx:12

  #### Parameters

  - ##### props: NavigatorProps

  #### Returns null | Element

### Const Right

- Right(): Element
- Right(): Element

- - Defined in src/components/Header/__stories__/Header.stories.tsx:10

  #### Returns Element

- - Defined in src/components/Header/__tests__/Header.test.tsx:13

  #### Returns Element

### Const ScreenView

- ScreenView(__namedParameters: { Layout: ComponentClass<any, any> | FunctionComponent<any>; children: undefined | null | string | number | false | true | {} | ReactElement<any, string | ((props: P) => ReactElement | null) | {}> | ReactNodeArray | ReactPortal; rest: rest; route: RouteConfig }): Element

- - Defined in src/components/ScreenView/ScreenView.tsx:14

  #### Parameters

  - ##### __namedParameters: { Layout: ComponentClass<any, any> | FunctionComponent<any>; children: undefined | null | string | number | false | true | {} | ReactElement<any, string | ((props: P) => ReactElement | null) | {}> | ReactNodeArray | ReactPortal; rest: rest; route: RouteConfig }

    - ##### Layout: ComponentClass<any, any> | FunctionComponent<any>

    - ##### children: undefined | null | string | number | false | true | {} | ReactElement<any, string | ((props: P) => ReactElement | null) | {}> | ReactNodeArray | ReactPortal

    - ##### rest: rest

    - ##### route: RouteConfig

  #### Returns Element

### Const StackNavigator

- StackNavigator(props: StackNavigatorProps): any

- - Defined in src/navigators/StackNavigator/StackNavigator.tsx:9

  #### Parameters

  - ##### props: StackNavigatorProps

  #### Returns any

### Const StackScreen

- StackScreen(props: StackScreenProps): Element

- - Defined in src/navigators/StackNavigator/StackScreen.tsx:46

  Screen component, renders a screen with a header

  #### Parameters

  - ##### props: StackScreenProps

  #### Returns Element

### Const SwitchScreen

- SwitchScreen(props: SwitchScreenProps): any

- - Defined in src/navigators/SwitchNavigator/SwitchScreen.tsx:40

  Screen component, renders a screen with a header

  #### Parameters

  - ##### props: SwitchScreenProps

  #### Returns any

### Const TabNavigator

- TabNavigator(props: NavigatorPropsWithResolvedRoutes & { children: React.ReactNode }): Element

- - Defined in src/navigators/TabNavigator/TabNavigator.tsx:19

  #### Parameters

  - ##### props: NavigatorPropsWithResolvedRoutes & { children: React.ReactNode }

  #### Returns Element

### Const createNavigation

- createNavigation(Router: any): (Anonymous function)

- - Defined in src/components/Navigation/createNavigation.tsx:5

  #### Parameters

  - ##### Router: any

  #### Returns (Anonymous function)

### Const executeAction

- executeAction(configs: NavigatorProps, fn: any, routeName: NavigationActionPayload, params?: NavigationActionParams): void

- - Defined in src/helpers/executeAction.ts:13

  #### Parameters

  - ##### configs: NavigatorProps

  - ##### fn: any

  - ##### routeName: NavigationActionPayload

  - ##### Default value params: NavigationActionParams = {}

  #### Returns void

### findRouteByKey

- findRouteByKey(search: string, key: string, configs: NavigatorProps): RouteConfig | null

- - Defined in src/helpers/findRouteByKey.ts:16

  This function is this plugin's dog 🐶. Give it a bone and it will find it from the depths of hell.

  Translation: Finds a route object by a key and value search, from a nested NavigatorProps object.

  #### Parameters

  - ##### search: string

  - ##### key: string

  - ##### configs: NavigatorProps

  #### Returns RouteConfig | null

### Const getAppBarHeight

- getAppBarHeight(isLandscape: boolean): 32 | 44 | 56

- - Defined in src/components/Header/Header.tsx:22

  #### Parameters

  - ##### isLandscape: boolean

  #### Returns 32 | 44 | 56

### Const getIcon

- getIcon(options?: any, focused?: boolean): any
- getIcon(options?: NavigationOptions): any

- - Defined in src/helpers/tabUtils.tsx:27

  #### Parameters

  - ##### Default value options: any = {}

  - ##### Default value focused: boolean = false

  #### Returns any

- - Defined in src/navigators/DrawerNavigator/helpers.tsx:7

  #### Parameters

  - ##### Default value options: NavigationOptions = {}

  #### Returns any

### Const getNavigator

- getNavigator(type?: undefined | string): { Navigator: React.ComponentType<any>; Screen: React.ComponentType<any> }

- - Defined in src/navigators/getNavigator.ts:28

  Get Navigator by type (V5)

  #### Parameters

  - ##### Optional type: undefined | string

  #### Returns { Navigator: React.ComponentType<any>; Screen: React.ComponentType<any> }

  - ##### Navigator: React.ComponentType<any>

  - ##### Screen: React.ComponentType<any>

### Const getTitle

- getTitle(options?: any, focused?: boolean): any
- getTitle(options?: NavigationOptions): any

- - Defined in src/helpers/tabUtils.tsx:5

  #### Parameters

  - ##### Default value options: any = {}

  - ##### Default value focused: boolean = false

  #### Returns any

- - Defined in src/navigators/DrawerNavigator/helpers.tsx:3

  #### Parameters

  - ##### Default value options: NavigationOptions = {}

  #### Returns any

### Const historyToActionObject

- historyToActionObject(router: RouteChildrenProps, mainNavigator: NavigatorProps): NavigationActionsObject

- - Defined in src/helpers/historyToActionObject.ts:14

  #### Parameters

  - ##### router: RouteChildrenProps

  - ##### mainNavigator: NavigatorProps

  #### Returns NavigationActionsObject

### Const preparePaths

- preparePaths(navigator: NavigatorProps, parentPath?: string): NavigatorProps

- - Defined in src/helpers/preparePaths.ts:9

  Converts paths from react-navigation pattern to react-router pattern

  #### Parameters

  - ##### navigator: NavigatorProps

  - ##### Default value parentPath: string = ""

  #### Returns NavigatorProps

### Const resolveRouteOptions

- resolveRouteOptions(route: RouteConfig, navigator: NavigatorProps, mainNavigator: NavigatorProps, ctx: { navigation: NavigationActionsObject; screenProps: ScreenProps }): NavigationOptions

- - Defined in src/helpers/resolveRouteOptions.ts:6

  #### Parameters

  - ##### route: RouteConfig

  - ##### navigator: NavigatorProps

  - ##### mainNavigator: NavigatorProps

  - ##### ctx: { navigation: NavigationActionsObject; screenProps: ScreenProps }

    - ##### navigation: NavigationActionsObject

    - ##### screenProps: ScreenProps

  #### Returns NavigationOptions

### Const resolveScreenComponent

- resolveScreenComponent(route: RouteConfig, BB: BlueBase): ComponentClass<any, any> | FunctionComponent<any>

- - Defined in src/helpers/resolveScreenComponent.ts:10

  Given a route object, resolves and returns a screen component

  #### Parameters

  - ##### route: RouteConfig

  - ##### BB: BlueBase

  #### Returns ComponentClass<any, any> | FunctionComponent<any>

### Const useScreenProps

- useScreenProps(): ScreenProps

- - Defined in src/helpers/useScreenProps.ts:5

  #### Returns ScreenProps

## Object literals

### Const BasePlugin

BasePlugin: object

- Defined in src/BasePlugin.ts:3

### description

description: string = "Use React Router navigation in BlueBase apps!"

- Defined in src/BasePlugin.ts:4

### key

key: string = "@bluebase/plugin-react-router"

- Defined in src/BasePlugin.ts:5

### name

name: string = "BlueBase React Router Plugin"

- Defined in src/BasePlugin.ts:6

### version

version: string = "1.0.0"

- Defined in src/BasePlugin.ts:7

### components

components: object

- Defined in src/BasePlugin.ts:9

### Header

Header: Header

- Defined in src/BasePlugin.ts:10

### HeaderBackButton

HeaderBackButton: HeaderBackButton

- Defined in src/BasePlugin.ts:11

### HeaderTitle

HeaderTitle: FunctionComponent<HeaderTitleProps>

- Defined in src/BasePlugin.ts:12

### Navigator

Navigator: object

- Defined in src/BasePlugin.ts:14

### applyStyles

applyStyles: boolean = false

- Defined in src/BasePlugin.ts:15

### value

value: Navigator = Navigator

- Defined in src/BasePlugin.ts:16

### ScreenView

ScreenView: object

- Defined in src/BasePlugin.ts:19

### applyStyles

applyStyles: boolean = false

- Defined in src/BasePlugin.ts:20

### value

value: ComponentClass<ScreenViewProps, any> | FunctionComponent<ScreenViewProps> = ScreenView

- Defined in src/BasePlugin.ts:21

### Const BottomNavigation

BottomNavigation: object

- Defined in src/navigators/BottomNavigationNavigator/BottomNavigation.tsx:4

### Navigator

Navigator: BottomNavigationNavigator = BottomNavigationNavigator

- Defined in src/navigators/BottomNavigationNavigator/BottomNavigation.tsx:5

### Screen

Screen: SwitchScreen = SwitchScreen

- Defined in src/navigators/BottomNavigationNavigator/BottomNavigation.tsx:6

### Const Drawer

Drawer: object

- Defined in src/navigators/DrawerNavigator/Drawer.tsx:4

### Navigator

Navigator: DrawerNavigator = DrawerNavigator

- Defined in src/navigators/DrawerNavigator/Drawer.tsx:5

### Screen

Screen: SwitchScreen = SwitchScreen

- Defined in src/navigators/DrawerNavigator/Drawer.tsx:6

### Const NavigatorMap

NavigatorMap: object

- Defined in src/navigators/getNavigator.ts:3

### bottom-navigation

bottom-navigation: { Navigator: BottomNavigationNavigator; Screen: SwitchScreen } = BottomNavigation

- Defined in src/navigators/getNavigator.ts:9

#### Type declaration

- ##### Navigator: BottomNavigationNavigator

- ##### Screen: SwitchScreen

### bottom-tab

bottom-tab: { Navigator: BottomNavigationNavigator; Screen: SwitchScreen } = BottomNavigation

- Defined in src/navigators/getNavigator.ts:4

#### Type declaration

- ##### Navigator: BottomNavigationNavigator

- ##### Screen: SwitchScreen

### bottom-tabs

bottom-tabs: { Navigator: BottomNavigationNavigator; Screen: SwitchScreen } = BottomNavigation

- Defined in src/navigators/getNavigator.ts:5

#### Type declaration

- ##### Navigator: BottomNavigationNavigator

- ##### Screen: SwitchScreen

### drawer

drawer: { Navigator: DrawerNavigator; Screen: SwitchScreen } = Drawer

- Defined in src/navigators/getNavigator.ts:7

#### Type declaration

- ##### Navigator: DrawerNavigator

- ##### Screen: SwitchScreen

### material-bottom-tab

material-bottom-tab: { Navigator: BottomNavigationNavigator; Screen: SwitchScreen } = BottomNavigation

- Defined in src/navigators/getNavigator.ts:10

#### Type declaration

- ##### Navigator: BottomNavigationNavigator

- ##### Screen: SwitchScreen

### material-bottom-tabs

material-bottom-tabs: { Navigator: BottomNavigationNavigator; Screen: SwitchScreen } = BottomNavigation

- Defined in src/navigators/getNavigator.ts:11

#### Type declaration

- ##### Navigator: BottomNavigationNavigator

- ##### Screen: SwitchScreen

### native-stack

native-stack: { Navigator: StackNavigator; Screen: StackScreen } = Stack

- Defined in src/navigators/getNavigator.ts:16

#### Type declaration

- ##### Navigator: StackNavigator

- ##### Screen: StackScreen

### stack

stack: { Navigator: StackNavigator; Screen: StackScreen } = Stack

- Defined in src/navigators/getNavigator.ts:18

#### Type declaration

- ##### Navigator: StackNavigator

- ##### Screen: StackScreen

### switch

switch: { Navigator: ComponentClass<NoopProps, any> | FunctionComponent<NoopProps>; Screen: SwitchScreen } = Switch

- Defined in src/navigators/getNavigator.ts:20

#### Type declaration

- ##### Navigator: ComponentClass<NoopProps, any> | FunctionComponent<NoopProps>

- ##### Screen: SwitchScreen

### tab

tab: { Navigator: TabNavigator; Screen: SwitchScreen } = Tab

- Defined in src/navigators/getNavigator.ts:13

#### Type declaration

- ##### Navigator: TabNavigator

- ##### Screen: SwitchScreen

### tabs

tabs: { Navigator: TabNavigator; Screen: SwitchScreen } = Tab

- Defined in src/navigators/getNavigator.ts:14

#### Type declaration

- ##### Navigator: TabNavigator

- ##### Screen: SwitchScreen

### Const Stack

Stack: object

- Defined in src/navigators/StackNavigator/Stack.tsx:4

### Navigator

Navigator: StackNavigator = StackNavigator

- Defined in src/navigators/StackNavigator/Stack.tsx:5

### Screen

Screen: StackScreen = StackScreen

- Defined in src/navigators/StackNavigator/Stack.tsx:6

### Const Switch

Switch: object

- Defined in src/navigators/SwitchNavigator/Switch.tsx:4

### Navigator

Navigator: ComponentClass<NoopProps, any> | FunctionComponent<NoopProps> = Noop

- Defined in src/navigators/SwitchNavigator/Switch.tsx:5

### Screen

Screen: SwitchScreen = SwitchScreen

- Defined in src/navigators/SwitchNavigator/Switch.tsx:6

### Const Tab

Tab: object

- Defined in src/navigators/TabNavigator/Tab.tsx:4

### Navigator

Navigator: TabNavigator = TabNavigator

- Defined in src/navigators/TabNavigator/Tab.tsx:5

### Screen

Screen: SwitchScreen = SwitchScreen

- Defined in src/navigators/TabNavigator/Tab.tsx:6

### Const baseOptions

baseOptions: object

- Defined in src/navigators/TabNavigator/TabNavigator.tsx:10

### labelStyle

labelStyle: {}

- Defined in src/navigators/TabNavigator/TabNavigator.tsx:14

#### Type declaration

### showIcon

showIcon: boolean = true

- Defined in src/navigators/TabNavigator/TabNavigator.tsx:11

### showLabel

showLabel: boolean = true

- Defined in src/navigators/TabNavigator/TabNavigator.tsx:12

### style

style: {}

- Defined in src/navigators/TabNavigator/TabNavigator.tsx:15

#### Type declaration

### tabStyle

tabStyle: {}

- Defined in src/navigators/TabNavigator/TabNavigator.tsx:16

#### Type declaration

### Const input

input: object

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:44
- Defined in src/helpers/__tests__/preparePaths.test.ts:4

### history

history: any = {} as any

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:45

### initialRouteName

initialRouteName: string = "Root"

- Defined in src/helpers/__tests__/preparePaths.test.ts:5

### location

location: { hash: string; key: string; pathname: string; search: string; state: object }

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:46

#### Type declaration

- ##### hash: string

- ##### key: string

- ##### pathname: string

- ##### search: string

- ##### state: object

  - ##### name: string

  - ##### title: string

### routes

routes: { name: string; path: string; navigationOptions: object; navigator: object }[] = [{name: 'Root',navigationOptions: { header: null },navigator: {initialRouteName: 'Home',routes: [{ name: 'Home', path: '', exact: true, screen: 'HomeScreen', navigationOptions: {} },{name: 'Settings',path: 'p/settings',exact: true,screen: 'SettingsScreen',navigationOptions: {},},{name: 'SettingsDetail',path: 'p/settings/:id',screen: 'SettingsDetail',navigationOptions: {},},],type: 'stack',},path: '', //},]

- Defined in src/helpers/__tests__/preparePaths.test.ts:6

### type

type: string = "stack"

- Defined in src/helpers/__tests__/preparePaths.test.ts:33

### match

match: object

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:47

### isExact

isExact: true = true

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:48

### path

path: string = "/p/settings/:id"

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:50

### url

url: string = "/p/settings/foo"

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:51

### params

params: object

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:49

### id

id: string = "foo"

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:49

### Const inputRoutes

inputRoutes: object

- Defined in src/helpers/__tests__/executeAction.test.ts:3
- Defined in src/helpers/__tests__/findRouteByKey.test.ts:4

### initialRouteName

initialRouteName: string = "Root"

- Defined in src/helpers/__tests__/executeAction.test.ts:4
- Defined in src/helpers/__tests__/findRouteByKey.test.ts:5

### routes

routes: { name: string; path: string; navigationOptions: object; navigator: object }[] = [{name: 'Root',navigationOptions: { header: null },navigator: {initialRouteName: 'Home',routes: [{ name: 'Home', path: '', exact: true, screen: 'HomeScreen', navigationOptions: {} },{exact: true,name: 'Settings',navigationOptions: {},path: 'p/settings',screen: 'SettingsScreen',},{name: 'SettingsDetail',navigationOptions: {},path: 'p/settings/:id',screen: 'SettingsDetail',},],type: 'stack',},path: '', //},]

- Defined in src/helpers/__tests__/executeAction.test.ts:5
- Defined in src/helpers/__tests__/findRouteByKey.test.ts:6

### type

type: string = "stack"

- Defined in src/helpers/__tests__/executeAction.test.ts:32
- Defined in src/helpers/__tests__/findRouteByKey.test.ts:33

### Const location

location: object

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:36

### hash

hash: string = ""

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:37

### key

key: string = "u2vxal"

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:38

### pathname

pathname: string = "/p/settings/foo"

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:39

### search

search: string = "?a=b"

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:40

### state

state: object

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:41

### name

name: string = "General"

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:41

### title

title: string = "Bar"

- Defined in src/helpers/__tests__/historyToActionObject.test.ts:41

### Const mainNavigator

mainNavigator: object

- Defined in src/components/Navigation/__tests__/Navigation.test.tsx:13
- Defined in src/components/NavigationActions/__tests__/NavigationActions.test.tsx:9
- Defined in src/components/Navigator/__tests__/Navigator.test.tsx:13
- Defined in src/helpers/__tests__/historyToActionObject.test.ts:4
- Defined in src/navigators/BottomNavigationNavigator/__tests__/BottomNavigation.test.tsx:20
- Defined in src/navigators/DrawerNavigator/__tests__/DrawerNavigator.test.tsx:21
- Defined in src/navigators/StackNavigator/__tests__/ModalNavigator.test.tsx:17
- Defined in src/navigators/StackNavigator/__tests__/StackNavigator.test.tsx:18
- Defined in src/navigators/TabNavigator/__tests__/TabNavigator.test.tsx:20

### initialRouteName

initialRouteName: string = "Root"

- Defined in src/components/Navigation/__tests__/Navigation.test.tsx:14
- Defined in src/components/NavigationActions/__tests__/NavigationActions.test.tsx:10
- Defined in src/components/Navigator/__tests__/Navigator.test.tsx:14
- Defined in src/helpers/__tests__/historyToActionObject.test.ts:5
- Defined in src/navigators/BottomNavigationNavigator/__tests__/BottomNavigation.test.tsx:21
- Defined in src/navigators/DrawerNavigator/__tests__/DrawerNavigator.test.tsx:22
- Defined in src/navigators/StackNavigator/__tests__/ModalNavigator.test.tsx:18
- Defined in src/navigators/StackNavigator/__tests__/StackNavigator.test.tsx:19
- Defined in src/navigators/TabNavigator/__tests__/TabNavigator.test.tsx:21

### routes

routes: ({ exact: boolean; name: string; navigationOptions: {}; path: string; screen: string } | { name: string; path: string; navigationOptions: object; navigator: object })[] = [{name: 'Home',path: '/',exact: true,screen: 'HomeScreen',navigationOptions: {},},{name: 'TabsDemo',path: 'tabs',navigator: {type: 'tab',routes: [{name: 'Tab1',path: '/tabs/tab1',exact: true,screen: Tab1Screen,navigationOptions: {title: 'Overview',},},{name: 'Tab2',path: '/tabs/tab2',exact: true,screen: Tab2Screen,},],},navigationOptions: {title: 'Settings Tabs',},},]

- Defined in src/components/Navigation/__tests__/Navigation.test.tsx:15
- Defined in src/components/NavigationActions/__tests__/NavigationActions.test.tsx:11
- Defined in src/components/Navigator/__tests__/Navigator.test.tsx:17
- Defined in src/helpers/__tests__/historyToActionObject.test.ts:6
- Defined in src/navigators/BottomNavigationNavigator/__tests__/BottomNavigation.test.tsx:22
- Defined in src/navigators/DrawerNavigator/__tests__/DrawerNavigator.test.tsx:23
- Defined in src/navigators/StackNavigator/__tests__/ModalNavigator.test.tsx:19
- Defined in src/navigators/StackNavigator/__tests__/StackNavigator.test.tsx:20
- Defined in src/navigators/TabNavigator/__tests__/TabNavigator.test.tsx:22

### type

type: string = "stack"

- Defined in src/components/Navigation/__tests__/Navigation.test.tsx:56
- Defined in src/components/NavigationActions/__tests__/NavigationActions.test.tsx:38
- Defined in src/components/Navigator/__tests__/Navigator.test.tsx:15
- Defined in src/helpers/__tests__/historyToActionObject.test.ts:33
- Defined in src/navigators/BottomNavigationNavigator/__tests__/BottomNavigation.test.tsx:58
- Defined in src/navigators/DrawerNavigator/__tests__/DrawerNavigator.test.tsx:78
- Defined in src/navigators/StackNavigator/__tests__/ModalNavigator.test.tsx:73
- Defined in src/navigators/StackNavigator/__tests__/StackNavigator.test.tsx:74
- Defined in src/navigators/TabNavigator/__tests__/TabNavigator.test.tsx:58

Generated using TypeDoc